Subject: bug#27966: closed (Re: bug#27966: 25.1.50; Bad behaviour #'generate-new-buffer-name if buffer "nil" exists)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Aug 2017 09:55:02 +0000

Your bug report

#27966: 25.1.50; Bad behaviour #'generate-new-buffer-name if buffer "nil" exists

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27966: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27966
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27966: 25.1.50; Bad behaviour #'generate-new-buffer-name if buffer "nil" exists
From: Eli Zaretskii <[email-masked]>
To: Aidan Kehoe <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Aug 2017 12:54:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Aidan Kehoe <[email-masked]>
> Date: Sat, 5 Aug 2017 10:15:54 +0100
> 
> 
> (progn (get-buffer-create "nil")
>        (generate-new-buffer-name "nil")) C-j
> 
> This gives the string "nil". This is incorrect behaviour, since "nil" is
> the name of an existing buffer. On line 1080 of buffer.c, IGNORE should
> be checked to be non-nil before calling Fstring_equal(). 

Thanks, fixed on master.

Subject: 25.1.50; Bad behaviour #'generate-new-buffer-name if buffer "nil" exists
From: Aidan Kehoe <[email-masked]>
To: [email-masked]
Date: Sat, 5 Aug 2017 10:15:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I start emacs:

$ emacs -Q

I type the following into *scratch*:

(progn (get-buffer-create "nil")
       (generate-new-buffer-name "nil")) C-j

This gives the string "nil". This is incorrect behaviour, since "nil" is
the name of an existing buffer. On line 1080 of buffer.c, IGNORE should
be checked to be non-nil before calling Fstring_equal(). 

In GNU Emacs 25.1.50.2 (i386-apple-darwin10.8.0, NS appkit-1038.36 Version 10.6.8 (Build 10K549))
 of 2016-08-11 built on bonbon
Repository revision: 2e0a2b376f51dd515ffeb6449181cc37fe912f5e
Windowing system distributor 'Apple', version 10.3.1038
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level
Mark activated

Configured features:
RSVG IMAGEMAGICK DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra cconv dired dired-loaddefs format-spec
rfc822 mml mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode easymenu cl-loaddefs pcase
cl-lib debug time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 8 207947 15960)
 (symbols 24 20538 0)
 (miscs 20 103 415)
 (strings 16 18679 5954)
 (string-bytes 1 597873)
 (vectors 8 34682)
 (vector-slots 4 685880 8462)
 (floats 8 184 228)
 (intervals 28 416 257)
 (buffers 520 15))

-- 
‘As I sat looking up at the Guinness ad, I could never figure out /
How your man stayed up on the surfboard after forty pints of stout’
(C. Moore)